Package htsjdk.samtools.cram.compression.rans.rans4x8

# Class RANS4x8Encode

java.lang.Object
htsjdk.samtools.cram.compression.rans.RANSEncode<RANS4x8Params>
htsjdk.samtools.cram.compression.rans.rans4x8.RANS4x8Encode

public class RANS4x8Encode extends RANSEncode<RANS4x8Params>

## Constructor Summary

Constructors
Constructor
Description
`RANS4x8Encode()`

## Method Summary

Modifier and Type
Method
Description
`ByteBuffer`
`compress(ByteBuffer inBuffer, RANS4x8Params params)`

### Methods inherited from class htsjdk.samtools.cram.compression.rans.RANSEncode

`buildSymsOrder0, buildSymsOrder1, getEncodingSymbols, initializeRANSEncoder`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RANS4x8Encode

public RANS4x8Encode()

## Method Details

### compress

public ByteBuffer compress(ByteBuffer inBuffer, RANS4x8Params params)

Specified by:
  `compress` in class `RANSEncode<RANS4x8Params>`